import { TREE_RESET, TREE_SELECT_ITEM, TREE_SET_DATA, GIT_ACTION, GIT_RESET, DELETE_STAGED_FILES, GIT_COMMIT_SAVE, GIT_COMMIT_CLEAN, CONFIRM_PATH, SET_CLONE_DATA, ClEAN_CLONE_DATA, SET_BRANCH, ClEAN_BRANCH, SET_TAG, ClEAN_TAG, SET_CURRENT_BRANCH, SET_REFS, DELETE_REF, SET_STASHES, SET_SELECTED_PATH, DELETE_PATH, SET_STASH_MESSAGE, DELETE_STASH_MESSAGE, GIT_CHANGE_REPO, GIT_UPDATE_REPOS, GIT_SET_GLOBAL_DATA_NOTE, GET_REFS, GIT_CLEAN_LAST_COMMAND } from '../types';
import { ITreeItem, ITreeGroup } from '@git-stack/client-core';
export declare type Action = ({
    type: TREE_RESET;
}) | ({
    type: TREE_SELECT_ITEM;
    group: string;
    args: ITreeItem;
}) | ({
    type: TREE_SET_DATA;
    data: ITreeGroup[];
}) | ({
    type: GIT_ACTION;
    command: string;
    args: ITreeItem | string;
}) | ({
    type: GIT_RESET;
}) | ({
    type: DELETE_STAGED_FILES;
}) | ({
    type: GIT_COMMIT_SAVE;
    commit: string;
}) | ({
    type: GIT_COMMIT_CLEAN;
}) | ({
    type: ClEAN_CLONE_DATA;
}) | ({
    type: ClEAN_BRANCH;
}) | ({
    type: ClEAN_TAG;
}) | ({
    type: CONFIRM_PATH;
    repositories: [any];
}) | ({
    type: DELETE_PATH;
    newPath: string;
    oldPath: string;
}) | ({
    type: SET_CLONE_DATA;
    key: string;
    value: string;
}) | ({
    type: SET_BRANCH;
    name: string;
}) | ({
    type: SET_CURRENT_BRANCH;
    name: string;
}) | ({
    type: ClEAN_BRANCH;
}) | ({
    type: SET_TAG;
    key: string;
    value: string;
}) | ({
    type: SET_REFS;
    refs: any;
}) | ({
    type: DELETE_REF;
    name: string;
}) | ({
    type: SET_STASHES;
    stashes: any;
}) | ({
    type: SET_STASH_MESSAGE;
    message: string;
}) | ({
    type: DELETE_STASH_MESSAGE;
}) | ({
    type: SET_SELECTED_PATH;
    path: string;
}) | ({
    type: GIT_CHANGE_REPO;
    path: string;
    repositories: any[];
}) | ({
    type: GIT_UPDATE_REPOS;
    repositories: any[];
}) | ({
    type: GIT_SET_GLOBAL_DATA_NOTE;
}) | ({
    type: GET_REFS;
    refRepo?: string;
}) | ({
    type: GIT_CLEAN_LAST_COMMAND;
});
export declare const resetTree: () => Action;
export declare const deteleStagedFiles: () => Action;
export declare const selectTreeItem: (group: string, args: ITreeItem) => Action;
export declare const setTreeData: (data: ITreeGroup[]) => Action;
export declare const gitAction: (command: string, args?: string | ITreeItem) => Action;
export declare const resetGit: () => Action;
export declare const commitSetGit: (commit: string) => Action;
export declare const commitCleanGit: () => Action;
export declare const confirmPath: (repositories: [any]) => Action;
export declare const changePath: (newPath: string, oldPath: string) => Action;
export declare const setCloneData: (key: string, value: string) => Action;
export declare const cleanCloneData: () => Action;
export declare const setBranch: (name: string) => Action;
export declare const setCurrentBranch: (name: string) => Action;
export declare const cleanBranch: () => Action;
export declare const setTag: (key: string, value: string) => Action;
export declare const cleanTag: () => Action;
export declare const getRefs: (refRepo?: string) => Action;
export declare const setRefs: (refs: any) => Action;
export declare const deleteRef: (name: string) => Action;
export declare const setStashes: (stashes: any) => Action;
export declare const setStashMessage: (message: string) => Action;
export declare const deleteStashMessage: () => Action;
export declare const setSelectedPath: (path: any) => Action;
export declare const changeRepo: (path: string, repositories: any[]) => Action;
export declare const updateRepos: (repositories: any[]) => Action;
export declare const setGlobalNameNote: () => Action;
export declare const cleanLastCommand: () => Action;
